#ifndef _EDITYEAST_H
#define _EDITYEAST_H

#include <QDialog>


namespace Ui {
class EditYeast;
}

class EditYeast : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditYeast(int id, QWidget *parent = 0);
    ~EditYeast();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void temp_lo_changed();
    void temp_hi_changed();

private:
    Ui::EditYeast *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
    void SetForm(int form);
};

#endif
